Page MenuHomePhabricator

Use the Translate extension in CentralNotice (tracking)
Open, NormalPublic

Description

As a translator on meta, I would like to be able to translate texts for CentralNotices using the UI of the Translate extension, so that workflows for translation of Meta-Wiki can be more unified.

This needs more specifications. Request added for translation tools related bug triage on Wednesday, May 9, 16:00UTC, MediaWiki-Internationalization on freenode.


Version: unspecified
Severity: enhancement

Details

Reference
bz36591

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
Resolvedkaldari
ResolvedNone
Resolved Nikerabbit
Resolved Nikerabbit
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedNone
OpenNone
OpenNone
Resolvedawight
OpenNone
OpenNone
OpenAndyRussG
OpenNone
OpenNone
OpenNone
DeclinedNone

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:28 AM
bzimport set Reference to bz36591.
siebrand created this task.May 7 2012, 1:28 PM
jhsoby added a comment.May 7 2012, 5:22 PM

One necessary specification would be the ability to "approve" translations before they are published. Anyone should be able to make translations and changes, but they would need to be verified before they go live.

(In reply to comment #1)

One necessary specification would be the ability to "approve" translations
before they are published. Anyone should be able to make translations and
changes, but they would need to be verified before they go live.

That's what we added the "workflow states" features for :)

jhsoby added a comment.May 8 2012, 2:23 PM

Aye!(In reply to comment #2)

(In reply to comment #1)

One necessary specification would be the ability to "approve" translations
before they are published. Anyone should be able to make translations and
changes, but they would need to be verified before they go live.

That's what we added the "workflow states" features for :)

Aye, applying that to publishing of CentralNotices would be great. Would it be possible to do that on a per-message basis, or would that complicate things too much? I'm thinking of fundraiser messages, where there can be quite a lot of messages, not all of which are used at the same time.

Niklas, Amir and I have done some analysis, and came up with a minimum number of stories that must be developed to make this work. We've gone through this with Jon Harald, and he's of the opinion that should work. There are also some possibilities for further enhancement that are not of critical importance. I'm going to add bugs for all these now, and will associate them with this issue.

Notes are at http://etherpad.wikimedia.org/l10n-translate-centralnotice.

I understand this is (mostly) fixed now? :D [[m:Help:CentralNotice/Translations]]
Maybe some bugs need updating.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 8:13 AM
Qgil removed a subscriber: Qgil.Oct 21 2015, 8:20 AM
awight added a subscriber: awight.Oct 21 2015, 8:28 AM

Trying to add T34482 as a blocking task, but my web UI is hanging every time I try. later.

kaldari removed a subscriber: kaldari.Oct 21 2015, 4:17 PM
awight removed a subscriber: awight.Mar 21 2019, 4:06 PM